Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154794 - Additional build dependency for openldap source RPM.
Summary: Additional build dependency for openldap source RPM.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 08:13 UTC by Fred Clausen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.3.27-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-23 14:48:17 UTC


Attachments (Terms of Use)

Description Fred Clausen 2005-04-14 08:13:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
I am recompiling the OpenLDAP source RPM due to a patch applied to allow it to authenticate solaris clients. More info about that can be found at:

http://www.openldap.org/lists/openldap-software/200503/msg00089.html

I installed all the build dependencies that was mentioned the first time I tried to build it. The build process got underway but it failed with an error about not finding /usr/lib/libbind.a. So I found that the package bind-libbind-devel-9.2.5-1 includes these static libraries. Installing that solved the problem. I am using the following command to build the packages:

rpmbuild -bb openldap.spec

Thanks.

Version-Release number of selected component (if applicable):
openldap-2.2.13

How reproducible:
Always

Steps to Reproduce:
1. Download and install openldap source RPM.
2. Rebuild RPM.
  

Additional info:

Comment 1 Matthew Miller 2006-07-10 20:15:53 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Jan Safranek 2007-04-23 14:48:17 UTC
This seems to be already fixed, at least in FC6 (maybe earlier).

Comment 3 Fedora Update System 2007-04-27 05:50:18 UTC
openldap-2.3.30-2.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 4 Fedora Update System 2007-05-14 17:17:04 UTC
openldap-2.3.30-2.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.